Page MenuHome

AMD pro render don't enable traceback error
Closed, InvalidPublic

Description

System Information
Operating system: Windows-10-10.0.18362 64 Bits
Graphics card: GeForce GTX 750/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 430.86

Blender Version
Broken: version: 2.80 (sub 74), branch: master, commit date: 2019-07-05 16:36, hash: rB699193713fc0
Worked: (optional)

Short description of error
i can't enable AMD pro render it give me this error i tried to reinstall blender don't work also tried to reinstall pro render same result i don't know its a installing issue or blender issue

info from blender

 Traceback  (most recent call last):
  File "C:\Users\wahaj\Downloads\blender-2.80.0-git.699193713fc0-windows64\2.80\scripts\modules\addon_utils.py", line 384, in enable
    mod.register()
  File "C:\Users\wahaj\AppData\Roaming\Blender Foundation\Blender\2.80\scripts\addons\rprblender\__init__.py", line 111, in register
    bpy.utils.register_class(RPREngine)
ValueError: expected RenderEngine, RPREngine class "view_update" function to have 3 args, found 2


Exact steps for others to reproduce the error
download amd pro render
intsall it and enable it
plz help

Details

Type
Bug

Event Timeline

Hi @wahhaj (wahaj)

The AMD Pro Render plugin needs to be updated to the latest version of Blender 2.80. Please report the error using their support channels.

Jeroen Bakker (jbakker) closed this task as Invalid.Jul 7 2019, 2:51 PM
Jeroen Bakker (jbakker) claimed this task.

Hi @wahhaj (wahaj)
The AMD Pro Render plugin needs to be updated to the latest version of Blender 2.80. Please report the error using their support channels.

But on amd https://www.amd.com/en/technologies/radeon-prorender-downloads ita say its for 2.8

Hi @wahhaj (wahaj)

It states that it is a beta version. (Version 2.0 Beta for Blender 2.80 Beta) Still they need to change their pluging to work with the latest changes in Blender.